## ktextaddons 1.9.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16)
set(KTEXTADDONS_CURRENT_VERSION "1.9.1")
project(KTextAddons VERSION ${KTEXTADDONS_CURRENT_VERSION})

set(QT_REQUIRED_VERSION "6.9.0")
set(KF_MIN_VERSION "6.19.0")
set(QT6KEYCHAIN_LIB_VERSION "0.15.0")
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(FeatureSummary)
find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(
    ECM
    PROPERTIES
        TYPE
            REQUIRED
        DESCRIPTION
            "Extra CMake Modules."
        URL
            "https://invent.kde.org/frameworks/extra-cmake-modules"
)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/
    ${ECM_MODULE_PATH}
)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMGenerateQDoc)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMAddTests)
include(ECMDeprecationSettings)
include(CMakeDependentOption)
include(ECMQtDeclareLoggingCategory)
include(ECMCheckOutboundLicense)

file(
    GLOB_RECURSE ALL_SOURCE_FILES
    textaddonswidgets/*.cpp
    textaddonswidgets/*.h
    textedittexttospeech/*.cpp
    textedittexttospeech/*.h
    textspeechtotext/*.cpp
    textspeechtotext/*.h
    textautocorrection/*.cpp
    textautocorrection/*.h
    textemoticons/*.cpp
    textemoticons/*.h
    texttranslator/*.cpp
    texttranslator/*.h
    textcustomeditor/*.cpp
    textcustomeditor/*.h
    textgrammarcheck/*.cpp
    textgrammarcheck/*.h
    textutils/*.cpp
    textutils/*.h
    textautogeneratetext/*.h
    textautogeneratetext/*.cpp
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
    if(PRE_COMMIT_EXECUTABLE)
        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
        execute_process(
            COMMAND
                "${PRE_COMMIT_EXECUTABLE}" install -f
            ERROR_QUIET
            RESULT_VARIABLE _precommitresult
            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
        )
        if(_precommitresult EQUAL 0)
            message(STATUS "Pre-commit installed.")
        else()
            message(
                WARNING
                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
            )
            include(KDEGitCommitHooks)
            include(KDEClangFormat)
            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
        endif()
    else()
        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
        include(KDEGitCommitHooks)
        include(KDEClangFormat)
        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
    endif()
endif()

option(BUILD_QUICK "Build with QtQuick support (experimental)" OFF)
if(BUILD_QUICK)
    include(ECMQmlModule)
endif()

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Core
        Network
        Xml
        Sql
)

if(NOT WIN32 AND NOT APPLE)
    find_package(Qt6DBus ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

find_package(
    KF6
    ${KF_MIN_VERSION}
    REQUIRED
    COMPONENTS
        I18n
        ColorScheme
        Archive
        CoreAddons
        Sonnet
        Service
        SyntaxHighlighting
        WidgetsAddons
        TextWidgets
        ItemViews
        IconThemes
)
option(BUILD_KIO_SUPPORT "Build with KIO support" ON)
add_feature_info(
    KIO_SUPPORT
    ${BUILD_KIO_SUPPORT}
    "Build with KIO support"
)

if(${BUILD_KIO_SUPPORT})
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS KIO)
endif()

option(
    ENABLE_WARN_OUTDATED
    "Warn users if using an old version; if you long term supported distribution, you might want to set this to off"
    ON
)

option(BUILD_DESIGNERPLUGIN "Build plugin for Qt Designer" ON)
add_feature_info(
    DESIGNERPLUGIN
    ${BUILD_DESIGNERPLUGIN}
    "Build plugin for Qt Designer"
)

option(ENABLE_PCH "Enable Precompiled Headers support" ON)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

if(BUILD_TESTING)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Test)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

option(BERGAMOT_TRANSLATOR_PLUGIN "Build bergamot translator plugin" OFF)
add_feature_info(
    BERGAMOT_TRANSLATOR_PLUGIN
    ${BERGAMOT_TRANSLATOR_PLUGIN}
    "Bergamot translator plugin (local translation) (Experimental. Need to download bergamot source code first)"
)

option(SPEAK_TO_TEXT_VOSK_PLUGIN "Build vosk speak to text support" OFF)
add_feature_info(
    SPEAK_TO_TEXT_VOSK_PLUGIN
    ${SPEAK_TO_TEXT_VOSK_PLUGIN}
    "Vosk speak to text plugin (local text to speak) (Experimental)"
)

option(DISABLE_AUTOTEST_BROKEN_CI "Disable autotest broken on CI (work locally)" OFF)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(
    QT 6.11.0
    KF 6.21.0
)
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
endif()

if(BERGAMOT_TRANSLATOR_PLUGIN)
    find_package(slimt)
    set_package_properties(
        slimt
        PROPERTIES
            DESCRIPTION
                "Add local translation based on Bergamot"
            TYPE
                OPTIONAL
    )
endif()

find_package(Qt6TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(
    Qt6TextToSpeech
    PROPERTIES
        DESCRIPTION
            "Add support for text to speech"
        TYPE
            OPTIONAL
)
if(TARGET Qt6::TextToSpeech)
    add_subdirectory(textedittexttospeech)
endif()

add_subdirectory(textaddonswidgets)
add_subdirectory(textautocorrection)
add_subdirectory(textgrammarcheck)
add_subdirectory(texttranslator)
add_subdirectory(textemoticons)
add_subdirectory(textutils)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED MultimediaWidgets)
add_subdirectory(textspeechtotext)
add_subdirectory(textautogeneratetext)

add_subdirectory(textcustomeditor)
ecm_qt_install_logging_categories(
        EXPORT KTEXTADDONS
        FILE ktextaddons.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== textaddonswidgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextaddonswidgets\")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAddonsWidgets")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTADDONSWIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textaddonswidgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF6TextAddonsWidgets)
add_library(KF6::TextAddonsWidgets ALIAS KF6TextAddonsWidgets)

# precompiled headers support
if(ENABLE_PCH)
    target_precompile_headers(
        KF6TextAddonsWidgets
        PRIVATE
            <QObject>
            <QDebug>
            <QStringList>
            <QString>
    )
endif()

if(ENABLE_WARN_OUTDATED)
    target_compile_definitions(KF6TextAddonsWidgets PRIVATE ENABLE_WARN_OUTDATED=1)
else()
    target_compile_definitions(KF6TextAddonsWidgets PRIVATE ENABLE_WARN_OUTDATED=0)
endif()

target_sources(
    KF6TextAddonsWidgets
    PRIVATE
        selectspecialchardialog.h
        selectspecialchardialog.cpp
        slidecontainer.cpp
        slidecontainer.h
        richtextquicktextformat.cpp
        richtextquicktextformat.h
        needupdateversion/needupdateversionwidget.h
        needupdateversion/needupdateversionwidget.cpp
        needupdateversion/needupdateversionutils.h
        needupdateversion/needupdateversionutils.cpp
        needupdateversion/needupdatecheckexistingnewversionjob.cpp
        needupdateversion/needupdatecheckexistingnewversionjob.h
        needupdateversion/needupdateparsehtmljob.cpp
        needupdateversion/needupdateparsehtmljob.h
        needupdateversion/needupdateparsehtmlutil.cpp
        needupdateversion/needupdateparsehtmlutil.h
        whatsnew/whatsnewdialog.h
        whatsnew/whatsnewdialog.cpp
        whatsnew/whatsnewwidget.h
        whatsnew/whatsnewwidget.cpp
        whatsnew/whatsnewmessagewidget.h
        whatsnew/whatsnewmessagewidget.cpp
        whatsnew/whatsnewcomboboxwidget.h
        whatsnew/whatsnewcomboboxwidget.cpp
        whatsnew/whatsnewtranslationsbase.h
        whatsnew/whatsnewtranslationsbase.cpp
        whatsnew/whatsnewinfo.h
        whatsnew/whatsnewinfo.cpp
        verifynewversion/verifynewversionutils.cpp
        verifynewversion/verifynewversionutils.h
        verifynewversion/verifynewversionwidget.cpp
        verifynewversion/verifynewversionwidget.h
        verifynewversion/checknewversiondialog.cpp
        verifynewversion/checknewversiondialog.h
        verifynewversion/checknewversionwidget.cpp
        verifynewversion/checknewversionwidget.h
        quicksearchbar/quicksearchbarwidget.h
        quicksearchbar/quicksearchbarwidget.cpp
        quicksearchbar/quicksearchbar.h
        quicksearchbar/quicksearchbar.cpp
        plugins/pluginutil.cpp
        plugins/pluginutil.h
        plugins/configurepluginstreewidgetdelegate.cpp
        plugins/configurepluginstreewidgetdelegate.h
        plugins/configurepluginswidget.cpp
        plugins/configurepluginswidget.h
        misc/openfilejob.h
        misc/openfilejob.cpp
        misc/savefileutils.h
        misc/savefileutils.cpp
        misc/executableutils.h
        misc/executableutils.cpp
)
target_link_libraries(
    KF6TextAddonsWidgets
    PUBLIC
        Qt::Widgets
        KF6::WidgetsAddons
        KF6::Service
    PRIVATE
        KF6::ConfigGui
        KF6::KIOCore
        KF6::ItemViews
        KF6::KIOFileWidgets
)

ecm_qt_declare_logging_category(KF6TextAddonsWidgets HEADER textaddonswidgets_debug.h
    IDENTIFIER TEXTADDONSWIDGETS_LOG
    CATEGORY_NAME org.kde.kf.textaddonswidgets
    OLD_CATEGORY_NAMES org.kde.kf6.textaddonswidgets
    DESCRIPTION "KF6 (textaddons widgets)" EXPORT KTEXTADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextAddonsWidgets
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KF6TextAddonsWidgets
    BASE_NAME TextAddonsWidgets
    VERSION ${TEXTADDONSWIDGETS_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 1.9
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(
    KF6TextAddonsWidgets
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets;>"
)

target_link_libraries(KF6TextAddonsWidgets PRIVATE KF6::I18n)

set_target_properties(
    KF6TextAddonsWidgets
    PROPERTIES
        VERSION
            ${TEXTADDONSWIDGETS_VERSION}
        SOVERSION
            ${TEXTADDONSWIDGETS_SOVERSION}
        EXPORT_NAME
            TextAddonsWidgets
)

install(TARGETS KF6TextAddonsWidgets EXPORT KF6TextAddonsWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextAddonsWidgets_CamelCase_HEADERS
    HEADER_NAMES
    SelectSpecialCharDialog
    SlideContainer
    RichTextQuickTextFormat
    REQUIRED_HEADERS TextAddonsWidgets_HEADERS
    PREFIX TextAddonsWidgets
)

ecm_generate_headers(TextAddonsWidgets_Camelcaseneedupdateversionwidgets_HEADERS
    HEADER_NAMES
    NeedUpdateVersionUtils
    NeedUpdateVersionWidget
    NeedUpdateParseHtmlJob
    NeedUpdateCheckExistingNewVersionJob
    NeedUpdateParseHtmlUtil
    REQUIRED_HEADERS TextAddonsWidgets_needupdateversionwidgets_HEADERS
    PREFIX TextAddonsWidgets
    RELATIVE needupdateversion
)

ecm_generate_headers(TextAddonsWidgets_Camelverifynewversion_HEADERS
    HEADER_NAMES
    VerifyNewVersionWidget
    REQUIRED_HEADERS TextAddonsWidgets_verifynewversion_HEADERS
    PREFIX TextAddonsWidgets
    RELATIVE verifynewversion
)

ecm_generate_headers(TextAddonsWidgets_Camelquicksearchbar_HEADERS
    HEADER_NAMES
    QuickSearchBar
    QuickSearchBarWidget
    REQUIRED_HEADERS TextAddonsWidgets_quicksearchbar_HEADERS
    PREFIX TextAddonsWidgets
    RELATIVE quicksearchbar
)

ecm_generate_headers(TextAddonsWidgets_Camelcasewhatsnew_HEADERS
    HEADER_NAMES
    WhatsNewComboBoxWidget
    WhatsNewDialog
    WhatsNewInfo
    WhatsNewTranslationsBase
    WhatsNewMessageWidget
    REQUIRED_HEADERS TextAddonsWidgets_whatsnew_HEADERS
    PREFIX TextAddonsWidgets
    RELATIVE whatsnew
)

ecm_generate_headers(TextAddonsWidgets_Camelcaseplugins_HEADERS
    HEADER_NAMES
    PluginUtil
    ConfigurePluginsWidget
    REQUIRED_HEADERS TextAddonsWidgets_plugins_HEADERS
    PREFIX TextAddonsWidgets
    RELATIVE plugins
)

ecm_generate_headers(TextAddonsWidgets_Camelcasemisc_HEADERS
    HEADER_NAMES
    OpenFileJob
    SaveFileUtils
    ExecutableUtils
    REQUIRED_HEADERS TextAddonsWidgets_misc_HEADERS
    PREFIX TextAddonsWidgets
    RELATIVE misc
)

set(TEXTAUTOGENERATE_INCLUDES_FILES
    ${TextAddonsWidgets_HEADERS}
    ${TextAddonsWidgets_needupdateversionwidgets_HEADERS}
    ${TextAddonsWidgets_verifynewversion_HEADERS}
    ${TextAddonsWidgets_whatsnew_HEADERS}
    ${TextAddonsWidgets_quicksearchbar_HEADERS}
    ${TextAddonsWidgets_plugins_HEADERS}
    ${TextAddonsWidgets_misc_HEADERS}
)

install(
    FILES
        ${TEXTAUTOGENERATE_INCLUDES_FILES}
        ${CMAKE_CURRENT_BINARY_DIR}/textaddonswidgets_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets/textaddonswidgets
    COMPONENT Devel
)
install(
    FILES
        ${TextAddonsWidgets_CamelCase_HEADERS}
        ${TextAddonsWidgets_Camelcaseneedupdateversionwidgets_HEADERS}
        ${TextAddonsWidgets_Camelverifynewversion_HEADERS}
        ${TextAddonsWidgets_Camelcasewhatsnew_HEADERS}
        ${TextAddonsWidgets_Camelquicksearchbar_HEADERS}
        ${TextAddonsWidgets_Camelcaseplugins_HEADERS}
        ${TextAddonsWidgets_Camelcasemisc_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets/TextAddonsWidgets/
    COMPONENT Devel
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextAddonsWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextAddonsWidgetsTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textaddonswidgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAddonsWidgets
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextAddonsWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAddonsWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
    add_subdirectory(needupdateversion/tests)
    add_subdirectory(needupdateversion/autotests)
    add_subdirectory(whatsnew/autotests)
    add_subdirectory(quicksearchbar/autotests)
endif()
ecm_generate_qdoc(KF6TextAddonsWidgets textaddonswidgets.qdocconf)

=== textautogeneratetext/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2025-2026 Laurent Montel <montel@kde.org>
add_definitions(-DTRANSLATION_DOMAIN=\"libtextautogeneratetext\")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAutoGenerateText")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOGENERATETEXT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautogeneratetext_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfigVersion.cmake"
    SOVERSION 1
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoGenerateTextConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextAutoGenerateTextTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextAutoGenerateTextTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textautogeneratetext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoGenerateText/
    COMPONENT Devel
)

if(NOT WIN32 AND NOT APPLE)
    set(HAVE_KTEXTADDONS_TEXTAUTOGENERATE_DBUS_SUPPORT TRUE)
endif()

if(TARGET Qt6::TextToSpeech)
    set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
endif()

configure_file(config-textautogeneratetext.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-textautogeneratetext.h)

add_library(KF6TextAutoGenerateText)

add_library(KF6::TextAutoGenerateText ALIAS KF6TextAutoGenerateText)

# precompiled headers support
if(ENABLE_PCH)
    target_precompile_headers(
        KF6TextAutoGenerateText
        PRIVATE
            <QObject>
            <QDebug>
            <QJsonObject>
            <QStringList>
            <QString>
    )
endif()

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_database_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_DATABASE_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.database
    DESCRIPTION "KF6 (TextAutoGenerateText core database)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext
    DESCRIPTION "KF6 (TextAutoGenerateText core)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_memory_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_MEMORY_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.memory
    DESCRIPTION "KF6 (TextAutoGenerateText core memory)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextcore_cmark_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_CORE_CMARK_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.core.cmark
    DESCRIPTION "KF6 (TextAutoGenerateText core cmark)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget
    DESCRIPTION "KF6 (TextAutoGenerateText widget)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_animation_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_ANIMATION_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget_animation
    DESCRIPTION "KF6 (TextAutoGenerateText widget animation)"
    EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoGenerateText HEADER textautogeneratetextwidget_menu_debug.h
    IDENTIFIER TEXTAUTOGENERATETEXT_WIDGET_MENU_LOG
    CATEGORY_NAME org.kde.kf.textautogeneratetext.widget_menu
    DESCRIPTION "KF6 (TextAutoGenerateText widget menu)"
    EXPORT KTEXTADDONS
)

if(NOT WIN32 AND NOT APPLE)
    qt_add_dbus_adaptor(textautogeneratetext_dbs_adaptor_SRCS core/org.kde.textautogeneratetext.TextAutoGenerateManager.xml core/textautogeneratemanager.h TextAutoGenerateText::TextAutoGenerateManager)
endif()

kconfig_add_kcfg_files(KF6TextAutoGenerateText
    core/settings/textautogeneratetextglobalconfig.kcfgc
)

target_sources(
    KF6TextAutoGenerateText
    PRIVATE
        ${textautogeneratetext_dbs_adaptor_SRCS}
        core/textautogeneratetextutils.h
        core/textautogeneratetextutils.cpp
        core/textautogenerateengineloader.cpp
        core/textautogenerateengineloader.h
        core/textautogeneratetextclient.h
        core/textautogeneratetextclient.cpp
        core/textautogeneratetextplugin.h
        core/textautogeneratetextplugin.cpp
        core/textautogeneratemanager.h
        core/textautogeneratemanager.cpp
        core/textautogenerateengineaccessmanager.cpp
        core/textautogenerateengineaccessmanager.h
        core/textautogeneratechatsettings.h
        core/textautogeneratechatsettings.cpp
        core/textautogeneratetextreplyinfo.h
        core/textautogeneratetextreplyinfo.cpp
        core/textautogeneratesearchmessage.h
        core/textautogeneratesearchmessage.cpp
        core/textautogeneratemessage.h
        core/textautogeneratemessage.cpp
        core/textautogenerateanswerinfo.h
        core/textautogenerateanswerinfo.cpp
        core/textautogenerateattachment.h
        core/textautogenerateattachment.cpp
        core/textautogenerateattachments.h
        core/textautogenerateattachments.cpp
        core/textautogeneratemessageutils.h
        core/textautogeneratemessageutils.cpp
        core/textautogeneratetoolcalljob.h
        core/textautogeneratetoolcalljob.cpp
        core/textautogeneratechat.h
        core/textautogeneratechat.cpp
        core/textautogeneratesettings.h
        core/textautogeneratesettings.cpp
        core/textautogenerateattachmentutils.h
        core/textautogenerateattachmentutils.cpp
        core/textautogenerateblockcmarksupport.h
        core/textautogenerateblockcmarksupport.cpp
        core/models/textautogeneratemessagesmodel.h
        core/models/textautogeneratemessagesmodel.cpp
        core/models/textautogeneratesearchmessagesmodel.h
        core/models/textautogeneratesearchmessagesmodel.cpp
        core/models/textautogeneratehistorysortfilterproxymodel.h
        core/models/textautogeneratehistorysortfilterproxymodel.cpp
        core/models/textautogeneratehistorylistheadingsproxymodel.cpp
        core/models/textautogeneratehistorylistheadingsproxymodel.h
        core/models/textautogeneratechatsmodel.h
        core/models/textautogeneratechatsmodel.cpp
        core/models/textautogeneratetextinstancemodel.h
        core/models/textautogeneratetextinstancemodel.cpp
        core/models/textautogeneratetextinstancesortfilterproxymodel.h
        core/models/textautogeneratetextinstancesortfilterproxymodel.cpp
        core/localdatabase/textautogeneratelocaldatabaseutils.h
        core/localdatabase/textautogeneratelocaldatabaseutils.cpp
        core/localdatabase/textautogeneratelocaldatabaseabstract.h
        core/localdatabase/textautogeneratelocaldatabaseabstract.cpp
        core/localdatabase/textautogeneratelocalchatsdatabase.h
        core/localdatabase/textautogeneratelocalchatsdatabase.cpp
        core/localdatabase/textautogeneratelocalmessagesdatabase.cpp
        core/localdatabase/textautogeneratelocalmessagesdatabase.h
        core/localdatabase/textautogeneratelocaldatabasemanager.h
        core/localdatabase/textautogeneratelocaldatabasemanager.cpp
        core/localdatabase/textautogeneratelocalroompendingtypedinfodatabase.cpp
        core/localdatabase/textautogeneratelocalroompendingtypedinfodatabase.h
        core/textautogeneratesearchmessageutils.h
        core/textautogeneratesearchmessageutils.cpp
        core/textautogeneratereply.h
        core/textautogeneratereply.cpp
        core/textautogeneratetextrequest.cpp
        core/textautogeneratetextrequest.h
        core/textautogeneratemanagerbase.h
        core/textautogeneratemanagerbase.cpp
        core/textautogeneratetextinstance.h
        core/textautogeneratetextinstance.cpp
        core/textautogeneratetextinstancesmanager.h
        core/textautogeneratetextinstancesmanager.cpp
        core/jobs/textautogenerateexportchatbasejob.cpp
        core/jobs/textautogenerateexportchatbasejob.h
        core/jobs/textautogenerateexportchatasjsonjob.cpp
        core/jobs/textautogenerateexportchatasjsonjob.h
        core/jobs/textautogeneratesearchjob.h
        core/jobs/textautogeneratesearchjob.cpp
        core/jobs/textautogenerateaskjob.h
        core/jobs/textautogenerateaskjob.cpp
        core/jobs/textautogenerateimportchatbasejob.cpp
        core/jobs/textautogenerateimportchatbasejob.h
        core/tools/textautogeneratetexttoolplugin.h
        core/tools/textautogeneratetexttoolplugin.cpp
        core/tools/textautogeneratetexttoolpluginmanager.cpp
        core/tools/textautogeneratetexttoolpluginmanager.h
        core/tools/textautogeneratetexttoolpluginproperty.h
        core/tools/textautogeneratetexttoolpluginproperty.cpp
        core/tools/textautogeneratetexttoolpluginjob.h
        core/tools/textautogeneratetexttoolpluginjob.cpp
        core/textautogeneratesearchmessagesettings.h
        core/textautogeneratesearchmessagesettings.cpp
        core/textautogeneratefilecache.h
        core/textautogeneratefilecache.cpp
)

if(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
    target_sources(
        KF6TextAutoGenerateText
        PRIVATE
            core/texttospeech/textautogeneratetexttospeechenqueueinfo.h
            core/texttospeech/textautogeneratetexttospeechenqueueinfo.cpp
            core/texttospeech/textautogeneratetexttospeechenqueuemanager.h
            core/texttospeech/textautogeneratetexttospeechenqueuemanager.cpp
    )
endif()

target_sources(
    KF6TextAutoGenerateText
    PRIVATE
        widgets/textautogeneratestackwidget.h
        widgets/textautogeneratestackwidget.cpp
        widgets/textautogeneratehistorywidget.h
        widgets/textautogeneratehistorywidget.cpp
        widgets/textautogenerateheaderwidget.h
        widgets/textautogenerateheaderwidget.cpp
        widgets/textautogeneratesearchwidget.h
        widgets/textautogeneratesearchwidget.cpp
        widgets/textautogeneratesearchdialog.h
        widgets/textautogeneratesearchdialog.cpp
        widgets/textautogeneratesearchlineedit.h
        widgets/textautogeneratesearchlineedit.cpp
        widgets/textautogeneratewidget.h
        widgets/textautogeneratewidget.cpp
        widgets/textautogeneratedialog.h
        widgets/textautogeneratedialog.cpp
        widgets/common/textautogeneratetextmodelcombobox.cpp
        widgets/configure/textautogeneratetextconfigurepromptwidget.h
        widgets/configure/textautogeneratetextconfigurepromptwidget.cpp
        widgets/configure/textautogeneratetextconfigurepluginswidget.h
        widgets/configure/textautogeneratetextconfigurepluginswidget.cpp
        widgets/common/textautogeneratetextmodelcombobox.h
        widgets/common/textautogeneratetextmodelcombobox.cpp
        widgets/common/textautogeneratetextlineeditwidget.h
        widgets/common/textautogeneratetextlineeditwidget.cpp
        widgets/common/textautogenerateshowmodelinfowidget.h
        widgets/common/textautogenerateshowmodelinfowidget.cpp
        widgets/common/textautogenerateshowmodelinfodialog.h
        widgets/common/textautogenerateshowmodelinfodialog.cpp
        widgets/common/textautogenerateresultwidget.h
        widgets/common/textautogenerateresultwidget.cpp
        widgets/common/textautogeneratetextlineedit.h
        widgets/common/textautogeneratetextlineedit.cpp
        widgets/common/textautogeneratenotworkingwidget.h
        widgets/common/textautogeneratenotworkingwidget.cpp
        widgets/common/textautogeneratenotworkingmessagewidget.h
        widgets/common/textautogeneratenotworkingmessagewidget.cpp
        widgets/common/textautogeneratenotinstancefoundwidget.h

=== textcustomeditor/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextcustomeditor\")

if(TARGET Qt6::TextToSpeech)
    set(HAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT TRUE)
endif()

if(TARGET KF6::KIOWidgets)
    set(HAVE_KTEXTADDONS_KIO_SUPPORT TRUE)
endif()

configure_file(config-textcustomeditor.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-textcustomeditor.h)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextCustomEditor")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTCUSTOMEDITOR
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textcustomeditor_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfigVersion.cmake"
    SOVERSION 1
)

add_library(KF6TextCustomEditor)
add_library(KF6::TextCustomEditor ALIAS KF6TextCustomEditor)

target_sources(
    KF6TextCustomEditor
    PRIVATE
        plaintexteditor/plaintexteditfindbar.cpp
        plaintexteditor/plaintexteditor.cpp
        plaintexteditor/plaintexteditorwidget.cpp
        plaintexteditor/plaintextsyntaxspellcheckinghighlighter.cpp
        widgets/findutils.cpp
        widgets/textfindreplacewidget.cpp
        widgets/texteditfindbarbase.cpp
        widgets/textgotolinewidget.cpp
        widgets/textmessageindicator.cpp
        richtexteditor/richtexteditor.cpp
        richtexteditor/richtexteditfindbar.cpp
        richtexteditor/richtexteditorwidget.cpp
        plaintexteditor/plaintexteditfindbar.h
        plaintexteditor/plaintexteditor.h
        plaintexteditor/plaintexteditorwidget.h
        plaintexteditor/plaintextsyntaxspellcheckinghighlighter.h
        widgets/findutils.h
        widgets/textfindreplacewidget.h
        widgets/texteditfindbarbase.h
        widgets/textgotolinewidget.h
        widgets/textmessageindicator.h
        richtexteditor/richtexteditor.h
        richtexteditor/richtexteditfindbar.h
        richtexteditor/richtexteditorwidget.h
        richtextbrowser/richtextbrowser.cpp
        richtextbrowser/richtextbrowser.h
        richtextbrowser/richtextbrowserwidget.cpp
        richtextbrowser/richtextbrowserwidget.h
        richtextbrowser/richtextbrowserfindbar.cpp
        richtextbrowser/richtextbrowserfindbar.h
        core/texteditorcompleter.h
        core/texteditorcompleter.cpp
)

target_link_libraries(
    KF6TextCustomEditor
    PRIVATE
        KF6::ConfigGui
        KF6::ColorScheme
        KF6::SonnetUi
        KF6::SonnetCore
        KF6::WidgetsAddons
        KF6::I18n
        KF6::SyntaxHighlighting
        KF6::TextUtils
        KF6::TextEmoticonsWidgets
        KF6::TextAddonsWidgets
)

# precompiled headers support
if(ENABLE_PCH)
    target_precompile_headers(
        KF6TextCustomEditor
        PRIVATE
            <QObject>
            <QStringList>
            <QString>
            <QWidget>
    )
endif()

if(TARGET KF6::KIOWidgets)
    target_link_libraries(KF6TextCustomEditor PRIVATE KF6::KIOWidgets)
endif()

if(TARGET Qt6::TextToSpeech)
    target_link_libraries(KF6TextCustomEditor PRIVATE KF6TextEditTextToSpeech)
endif()

ecm_qt_declare_logging_category(KF6TextCustomEditor HEADER textcustomeditor_debug.h
    IDENTIFIER TEXTCUSTOMEDITOR_LOG
    CATEGORY_NAME org.kde.kf.textcustomeditor
    OLD_CATEGORY_NAMES org.kde.kf6.textcustomeditor
    DESCRIPTION "KF6 (textcustomeditor)" EXPORT KTEXTADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextCustomEditor
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextCustomEditor BASE_NAME TextCustomEditor)

target_include_directories(
    KF6TextCustomEditor
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor;>"
)

set_target_properties(
    KF6TextCustomEditor
    PROPERTIES
        VERSION
            ${TEXTCUSTOMEDITOR_VERSION}
        SOVERSION
            ${TEXTCUSTOMEDITOR_SOVERSION}
        EXPORT_NAME
            TextCustomEditor
)

install(TARGETS KF6TextCustomEditor EXPORT KF6TextCustomEditorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextCustomEditor_CamelCasetextrichtexteditor_HEADERS
    HEADER_NAMES
    RichTextEditorWidget
    RichTextEditor
    RichTextEditFindBar
    REQUIRED_HEADERS TextCustomEditor_richtexteditor_HEADERS
    PREFIX TextCustomEditor
    RELATIVE richtexteditor
)

ecm_generate_headers(TextCustomEditor_CamelCaserichtextbrowser_HEADERS
    HEADER_NAMES
    RichTextBrowserWidget
    RichTextBrowser
    RichTextBrowserFindBar
    REQUIRED_HEADERS TextCustomEditor_richtextbrowser_HEADERS
    PREFIX TextCustomEditor
    RELATIVE richtextbrowser
)

ecm_generate_headers(TextCustomEditor_CamelCaseplaintexteditor_HEADERS
    HEADER_NAMES
    PlainTextEditor
    PlainTextEditorWidget
    PlainTextEditFindBar
    PlainTextSyntaxSpellCheckingHighlighter
    REQUIRED_HEADERS TextCustomEditor_plaintexteditor_HEADERS
    PREFIX TextCustomEditor
    RELATIVE plaintexteditor
)

ecm_generate_headers(TextCustomEditor_CamelCasetexteditor_widgets_HEADERS
    HEADER_NAMES
    TextGotoLineWidget
    TextEditFindBarBase
    REQUIRED_HEADERS TextCustomEditor_texteditor_widgets_HEADERS
    PREFIX TextCustomEditor
    RELATIVE widgets
)

ecm_generate_headers(TextCustomEditor_CamelCasetexteditor_core_HEADERS
    HEADER_NAMES
    TextEditorCompleter
    REQUIRED_HEADERS TextCustomEditor_texteditor_core_HEADERS
    PREFIX TextCustomEditor
    RELATIVE core
)

set(TEXTCUSTOM_EDITOR_FILES
    ${TextCustomEditor_texteditor_core_HEADERS}
    ${TextCustomEditor_richtexteditor_HEADERS}
    ${TextCustomEditor_texteditor_widgets_HEADERS}
    ${TextCustomEditor_plaintexteditor_HEADERS}
    ${TextCustomEditor_richtextbrowser_HEADERS}
)

install(
    FILES
        ${TEXTCUSTOM_EDITOR_FILES}
        ${CMAKE_CURRENT_BINARY_DIR}/textcustomeditor_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor/textcustomeditor
    COMPONENT Devel
)
install(
    FILES
        ${TextCustomEditor_CamelCasetexteditor_core_HEADERS}
        ${TextCustomEditor_CamelCasetextrichtexteditor_HEADERS}
        ${TextCustomEditor_CamelCaseplaintexteditor_HEADERS}
        ${TextCustomEditor_CamelCasetexteditor_widgets_HEADERS}
        ${TextCustomEditor_CamelCaserichtextbrowser_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor/TextCustomEditor/
    COMPONENT Devel
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextCustomEditorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextCustomEditorTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textcustomeditor_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextCustomEditor
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextCustomEditorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextCustomEditorConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

if(BUILD_TESTING)
    add_subdirectory(plaintexteditor/autotests)
    add_subdirectory(richtexteditor/autotests)
    add_subdirectory(richtextbrowser/autotests)
    add_subdirectory(widgets/autotests)
    add_subdirectory(plaintexteditor/tests)
    add_subdirectory(richtexteditor/tests)
    add_subdirectory(richtextbrowser/tests)
endif()

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()
ecm_generate_qdoc(KF6TextCustomEditor textcustomeditor.qdocconf)

=== textedittexttospeech/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextedittexttospeech\")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextEditTextToSpeech")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTEDITTEXTTOSPEECH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfigVersion.cmake"
    SOVERSION 1
)

add_subdirectory(kokoro)

add_library(KF6TextEditTextToSpeech)
add_library(KF6::TextEditTextToSpeech ALIAS KF6TextEditTextToSpeech)

target_sources(
    KF6TextEditTextToSpeech
    PRIVATE
        texttospeech.cpp
        texttospeechwidget.cpp
        texttospeechconfigwidget.cpp
        texttospeechinterface.cpp
        texttospeechconfiginterface.cpp
        texttospeechconfigdialog.cpp
        texttospeechlanguagecombobox.cpp
        texttospeechactions.cpp
        texttospeech.h
        texttospeechwidget.h
        texttospeechconfigwidget.h
        texttospeechinterface.h
        texttospeechconfiginterface.h
        texttospeechconfigdialog.h
        texttospeechlanguagecombobox.h
        texttospeechactions.h
        texttospeechsliderwidget.h
        texttospeechsliderwidget.cpp
        texttospeechutil.h
        texttospeechutil.cpp
        texttospeechcontainerwidget.h
        texttospeechcontainerwidget.cpp
        texttospeechvoicecombobox.h
        texttospeechvoicecombobox.cpp
)

# precompiled headers support
if(ENABLE_PCH)
    target_precompile_headers(
        KF6TextEditTextToSpeech
        PRIVATE
            <QObject>
            <QDebug>
            <QStringList>
            <QString>
    )
endif()

target_link_libraries(
    KF6TextEditTextToSpeech
    PUBLIC
        Qt::TextToSpeech
    PRIVATE
        KF6::ConfigCore
        KF6::ConfigGui
        KF6::WidgetsAddons
        KF6::I18n
)

ecm_qt_declare_logging_category(KF6TextEditTextToSpeech HEADER textedittexttospeech_debug.h
    IDENTIFIER TEXTEDITTEXTTOSPEECH_LOG
    CATEGORY_NAME org.kde.kf.textedittexttospeech
    OLD_CATEGORY_NAMES org.kde.kf6.textedittexttospeech
    DESCRIPTION "KF6 (textedit text to speech)" EXPORT KTEXTADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextEditTextToSpeech
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextEditTextToSpeech BASE_NAME textedittexttospeech)

target_include_directories(
    KF6TextEditTextToSpeech
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech;>"
)

target_link_libraries(KF6TextEditTextToSpeech PRIVATE KF6::I18n)
target_link_libraries(KF6TextEditTextToSpeech PRIVATE Qt6::Core)

set_target_properties(
    KF6TextEditTextToSpeech
    PROPERTIES
        VERSION
            ${TEXTEDITTEXTTOSPEECH_VERSION}
        SOVERSION
            ${TEXTEDITTEXTTOSPEECH_SOVERSION}
        EXPORT_NAME
            TextEditTextToSpeech
)

install(TARGETS KF6TextEditTextToSpeech EXPORT KF6TextEditTextToSpeechTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_generate_headers(TextEdit_CamelCasetexttospeechs_HEADERS
    HEADER_NAMES
    TextToSpeech
    TextToSpeechActions
    TextToSpeechInterface
    TextToSpeechWidget
    TextToSpeechConfigWidget
    TextToSpeechConfigDialog
    TextToSpeechContainerWidget
    REQUIRED_HEADERS TextEdit_texttospeechs_HEADERS
    PREFIX TextEditTextToSpeech
)

install(
    FILES
        ${TextEdit_texttospeechs_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/textedittexttospeech
    COMPONENT Devel
)
install(
    FILES
        ${TextEdit_CamelCasetexttospeechs_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech/TextEditTextToSpeech/
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textedittexttospeech_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextEditTextToSpeech
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextEditTextToSpeechConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextEditTextToSpeechConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextEditTextToSpeechTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextEditTextToSpeechTargets.cmake
    NAMESPACE KF6::
)
ecm_generate_qdoc(KF6TextEditTextToSpeech textedittexttospeech.qdocconf)

=== textemoticons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DTRANSLATION_DOMAIN=\"libtextemoticons\")

add_subdirectory(core)
add_subdirectory(widgets)
if(BUILD_QUICK)
    add_subdirectory(quick)
endif()

=== textgrammarcheck/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022-2026 Laurent Montel <montel@kde.org>

add_definitions(-DTRANSLATION_DOMAIN=\"libtextgrammarcheck\")

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextGrammarCheck")
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextGrammarCheckConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextGrammarCheckConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTGRAMMARCHECK
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textgrammarcheck_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextGrammarCheckConfigVersion.cmake"
    SOVERSION 1
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextGrammarCheckConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextGrammarCheckConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextGrammarCheckTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextGrammarCheckTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textgrammarcheck_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextGrammarCheck/
    COMPONENT Devel
)

add_library(KF6TextGrammarCheck)
add_library(KF6::TextGrammarCheck ALIAS KF6TextGrammarCheck)
ecm_qt_declare_logging_category(KF6TextGrammarCheck HEADER textgrammarcheck_debug.h
    IDENTIFIER TEXTGRAMMARCHECK_LOG
    CATEGORY_NAME org.kde.kf.textgrammarcheck
    OLD_CATEGORY_NAMES org.kde.kf6.textgrammarcheck
        DESCRIPTION "KF6 (Text Grammar Check)"
        EXPORT KTEXTADDONS
)

target_sources(
    KF6TextGrammarCheck
    PRIVATE
        common/grammarerror.cpp
        common/grammarerror.h
        common/grammaraction.h
        common/grammaraction.cpp
        common/grammarresultwidget.cpp
        common/grammarresultwidget.h
        common/grammarresulttextedit.cpp
        common/grammarresulttextedit.h
        common/grammarresultutil.h
        common/grammarresultutil.cpp
        languagetool/languageinfo.cpp
        languagetool/languageinfo.h
        languagetool/languagetoolcombobox.cpp
        languagetool/languagetoolcombobox.h
        languagetool/languagetoolconfigdialog.cpp
        languagetool/languagetoolconfigdialog.h
        languagetool/languagetoolconfigwidget.cpp
        languagetool/languagetoolconfigwidget.h
        languagetool/languagetoolgetlistoflanguagejob.cpp
        languagetool/languagetoolgetlistoflanguagejob.h
        languagetool/languagetoolgrammarerror.cpp
        languagetool/languagetoolgrammarerror.h
        languagetool/languagetoollistoflanguagesparser.cpp
        languagetool/languagetoollistoflanguagesparser.h
        languagetool/languagetoolmanager.cpp
        languagetool/languagetoolmanager.h
        languagetool/languagetoolparser.cpp
        languagetool/languagetoolparser.h
        languagetool/languagetoolresultjob.cpp
        languagetool/languagetoolresultjob.h
        languagetool/languagetoolresultwidget.cpp
        languagetool/languagetoolresultwidget.h
        languagetool/languagetoolupdatecombobox.cpp
        languagetool/languagetoolupdatecombobox.h
        grammalecte/grammalecteconfigdialog.cpp
        grammalecte/grammalecteconfigdialog.h
        grammalecte/grammalecteconfigwidget.cpp
        grammalecte/grammalecteconfigwidget.h
        grammalecte/grammalectegenerateconfigoptionjob.cpp
        grammalecte/grammalectegenerateconfigoptionjob.h
        grammalecte/grammalectegrammarerror.cpp
        grammalecte/grammalectegrammarerror.h
        grammalecte/grammalectemanager.cpp
        grammalecte/grammalectemanager.h
        grammalecte/grammalecteparser.cpp
        grammalecte/grammalecteparser.h
        grammalecte/grammalecteresultjob.cpp
        grammalecte/grammalecteresultjob.h
        grammalecte/grammalecteresultwidget.cpp
        grammalecte/grammalecteresultwidget.h
        grammalecte/grammalecteurlrequesterwidget.h
        grammalecte/grammalecteurlrequesterwidget.cpp
)
if(BUILD_TESTING)
    add_subdirectory(grammalecte/autotests)
    add_subdirectory(grammalecte/tests)
    add_subdirectory(languagetool/autotests)
    add_subdirectory(languagetool/tests)
    add_subdirectory(common/autotests/)
endif()

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextGrammarCheck
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextGrammarCheck BASE_NAME textgrammarcheck)

target_link_libraries(
    KF6TextGrammarCheck
    PUBLIC
        Qt::Gui
        Qt::Widgets
    PRIVATE
        Qt::Network
        KF6::I18n
        KF6::WidgetsAddons
        KF6::ConfigCore
        KF6::ConfigGui
        KF6::ColorScheme
)

target_include_directories(
    KF6TextGrammarCheck
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextGrammarCheck/>"
)

set_target_properties(
    KF6TextGrammarCheck
    PROPERTIES
        VERSION
            ${TEXTGRAMMARCHECK_VERSION}
        SOVERSION
            ${TEXTGRAMMARCHECK_SOVERSION}
        EXPORT_NAME
            TextGrammarCheck
)

install(TARGETS KF6TextGrammarCheck EXPORT KF6TextGrammarCheckTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextGrammarCheck_Camelcasecommon_HEADERS
    HEADER_NAMES
    GrammarAction
    GrammarError
    GrammarResultTextEdit
    GrammarResultWidget
    REQUIRED_HEADERS TextGrammarCheck_common_HEADERS
    PREFIX TextGrammarCheck
    RELATIVE common/
)

ecm_generate_headers(TextGrammarCheck_Camelcasegrammalecte_HEADERS
    HEADER_NAMES
    GrammalecteConfigDialog
    GrammalecteConfigWidget
    GrammalecteManager
    GrammalecteResultWidget
    GrammalecteGenerateConfigOptionJob
    GrammalecteResultJob
    REQUIRED_HEADERS TextGrammarCheck_grammalecte_HEADERS
    PREFIX TextGrammarCheck
    RELATIVE grammalecte/
)

ecm_generate_headers(TextGrammarCheck_Camelcaselanguagetool_HEADERS
    HEADER_NAMES
    LanguageToolComboBox
    LanguageToolConfigDialog
    LanguageToolConfigWidget
    LanguageToolGetListOfLanguageJob
    LanguageToolManager
    LanguageToolResultWidget
    REQUIRED_HEADERS TextGrammarCheck_languagetool_HEADERS
    PREFIX TextGrammarCheck
    RELATIVE languagetool/
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textgrammarcheck_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextGrammarCheck/
    COMPONENT Devel
)

install(
    FILES
        ${TextGrammarCheck_common_HEADERS}
        ${TextGrammarCheck_Camelcasecommon_HEADERS}
        ${TextGrammarCheck_grammalecte_HEADERS}
        ${TextGrammarCheck_Camelcasegrammalecte_HEADERS}
        ${TextGrammarCheck_languagetool_HEADERS}
        ${TextGrammarCheck_Camelcaselanguagetool_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextGrammarCheck/TextGrammarCheck
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textgrammarcheck_export.h
        ${TextGrammarCheck_common_HEADERS}
        ${TextGrammarCheck_grammalecte_HEADERS}
        ${TextGrammarCheck_languagetool_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextGrammarCheck/textgrammarcheck
    COMPONENT Devel
)

=== textspeechtotext/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
add_definitions(-DTRANSLATION_DOMAIN=\"libtextspeechtotext\")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextSpeechToText")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTSPEECHTOTEXT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfigVersion.cmake"
    SOVERSION 1
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextSpeechToTextTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextSpeechToTextTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/
    COMPONENT Devel
)

add_library(KF6TextSpeechToText)
add_library(KF6::TextSpeechToText ALIAS KF6TextSpeechToText)
ecm_qt_declare_logging_category(KF6TextSpeechToText HEADER textspeechtotext_debug.h
    IDENTIFIER TEXTSPEECHTOTEXT_LOG
    CATEGORY_NAME org.kde.kf.textspeechtotext
    DESCRIPTION "KF6 (TextSpeechToText)"
    EXPORT KTEXTADDONS
)

target_sources(
    KF6TextSpeechToText
    PRIVATE
        speechtotext/speechtotextclient.h
        speechtotext/speechtotextclient.cpp
        speechtotext/speechtotextplugin.h
        speechtotext/speechtotextplugin.cpp
        speechtotext/speechtotextengineloader.cpp
        speechtotext/speechtotextengineloader.h
        speechtotext/speechtotextmanager.h
        speechtotext/speechtotextmanager.cpp
        speechtotext/speechtotextengineaccessmanager.cpp
        speechtotext/speechtotextengineaccessmanager.h
        speechtotext/widgets/speechtotextconfigurewidget.h
        speechtotext/widgets/speechtotextconfigurewidget.cpp
        speechtotext/widgets/speechtotextconfiguredialog.h
        speechtotext/widgets/speechtotextconfiguredialog.cpp
        speechtotext/widgets/speechtotextcomboboxwidget.h
        speechtotext/widgets/speechtotextcomboboxwidget.cpp
        speechtotext/widgets/speechtotextselectdevicewidget.h
        speechtotext/widgets/speechtotextselectdevicewidget.cpp
        speechtotext/widgets/speechtotexttoolbuttonwidget.h
        speechtotext/widgets/speechtotexttoolbuttonwidget.cpp
        speechtotext/widgets/speechtotextaction.h
        speechtotext/widgets/speechtotextaction.cpp
        speechtotext/widgets/speechtotextmenu.h
        speechtotext/widgets/speechtotextmenu.cpp
        speechtotext/textspeechtotextutil.h
        speechtotext/textspeechtotextutil.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextSpeechToText
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextSpeechToText BASE_NAME textspeechtotext)

target_link_libraries(
    KF6TextSpeechToText
    PUBLIC
        Qt::Gui
        Qt::Widgets
        Qt::Network
    PRIVATE
        Qt::MultimediaWidgets
        KF6::I18n
        KF6::WidgetsAddons
        KF6::ConfigGui
        KF6::TextAddonsWidgets
)

target_include_directories(
    KF6TextSpeechToText
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/>"
)

set_target_properties(
    KF6TextSpeechToText
    PROPERTIES
        VERSION
            ${TEXTSPEECHTOTEXT_VERSION}
        SOVERSION
            ${TEXTSPEECHTOTEXT_SOVERSION}
        EXPORT_NAME
            TextSpeechToText
)

install(TARGETS KF6TextSpeechToText EXPORT KF6TextSpeechToTextTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextSpeechToText_Camelcasespeechtotext_HEADERS
    HEADER_NAMES
    SpeechToTextClient
    SpeechToTextPlugin
    SpeechToTextEngineLoader
    SpeechToTextManager
    REQUIRED_HEADERS TextSpeechToText_speechtotext_HEADERS
    PREFIX TextSpeechToText
    RELATIVE speechtotext
)

ecm_generate_headers(TextSpeechToTextWidget_Camelcasespeechtotext_HEADERS
    HEADER_NAMES
    SpeechToTextAction
    SpeechToTextToolButtonWidget
    SpeechToTextMenu
    REQUIRED_HEADERS TextSpeechToTextWidget_speechtotext_HEADERS
    PREFIX TextSpeechToText
    RELATIVE speechtotext/widgets
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/
    COMPONENT Devel
)

install(
    FILES
        ${TextSpeechToText_Camelcasespeechtotext_HEADERS}
        ${TextSpeechToTextWidget_Camelcasespeechtotext_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/TextSpeechToText
    COMPONENT Devel
)

set(TEXTSPEECHTOTEXT_FILES
    ${TextSpeechToText_speechtotext_HEADERS}
    ${TextSpeechToTextWidget_speechtotext_HEADERS}
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textspeechtotext_export.h
        ${TEXTSPEECHTOTEXT_FILES}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextSpeechToText/textspeechtotext
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextSpeechToTextConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextSpeechToTextConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

add_subdirectory(speechtotext/plugins)
if(BUILD_TESTING)
    add_subdirectory(speechtotext/widgets/autotests)
    add_subdirectory(speechtotext/widgets/tests)
    add_subdirectory(tests)
endif()

=== texttranslator/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
add_definitions(-DTRANSLATION_DOMAIN=\"libtexttranslator\")
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextTranslator")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTTRANSLATE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/texttranslator_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextTranslatorConfigVersion.cmake"
    SOVERSION 1
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextTranslatorConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextTranslatorConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextTranslatorTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextTranslatorTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/texttranslator_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextTranslator/
    COMPONENT Devel
)

if(BUILD_DESIGNERPLUGIN)
    add_subdirectory(designer)
endif()

add_library(KF6TextTranslator)
add_library(KF6::TextTranslator ALIAS KF6TextTranslator)
ecm_qt_declare_logging_category(KF6TextTranslator HEADER texttranslator_debug.h
    IDENTIFIER TEXTTRANSLATOR_LOG
    CATEGORY_NAME org.kde.kf.texttranslator
    OLD_CATEGORY_NAMES org.kde.kf6.texttranslator
    DESCRIPTION "KF6 (TextTranslator)"
    EXPORT KTEXTADDONS
)

target_sources(
    KF6TextTranslator
    PRIVATE
        translator/misc/translatorutil.cpp
        translator/misc/translatorutil.h
        translator/widgets/translatorwidget.cpp
        translator/widgets/translatorwidget.h
        translator/widgets/translatordebugdialog.cpp
        translator/widgets/translatordebugdialog.h
        translator/widgets/translatorconfigurewidget.cpp
        translator/widgets/translatorconfigurewidget.h
        translator/widgets/translatorconfiguredialog.h
        translator/widgets/translatorconfiguredialog.cpp
        translator/widgets/translatorconfigurelistswidget.cpp
        translator/widgets/translatorconfigurelistswidget.h
        translator/widgets/translatorconfigurelanguagelistwidget.cpp
        translator/widgets/translatorconfigurelanguagelistwidget.h
        translator/widgets/translatorconfigurecombowidget.h
        translator/widgets/translatorconfigurecombowidget.cpp
        translator/widgets/translatormenu.cpp
        translator/widgets/translatormenu.h
        translator/networkmanager.cpp
        translator/networkmanager.h
        translator/translatorengineaccessmanager.h
        translator/translatorengineaccessmanager.cpp
        translator/translatorengineplugin.cpp
        translator/translatorengineplugin.h
        translator/translatorengineclient.h
        translator/translatorengineclient.cpp
        translator/translatorengineloader.cpp
        translator/translatorengineloader.h
)
if(BUILD_TESTING)
    add_subdirectory(translator/autotests)
    add_subdirectory(translator/tests)
    add_subdirectory(translator/widgets/autotests)
endif()
add_subdirectory(translator/plugins)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextTranslator
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextTranslator BASE_NAME texttranslator)

target_link_libraries(
    KF6TextTranslator
    PUBLIC
        Qt::Gui
        Qt::Widgets
        Qt::Network
    PRIVATE
        KF6::I18n
        KF6::WidgetsAddons
        KF6::ConfigGui
        KF6::TextAddonsWidgets
)

target_include_directories(
    KF6TextTranslator
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextTranslator/>"
)

set_target_properties(
    KF6TextTranslator
    PROPERTIES
        VERSION
            ${TEXTTRANSLATE_VERSION}
        SOVERSION
            ${TEXTTRANSLATE_SOVERSION}
        EXPORT_NAME
            TextTranslator
)

install(TARGETS KF6TextTranslator EXPORT KF6TextTranslatorTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextTranslator_Camelcasetranslatorwidgets_HEADERS
    HEADER_NAMES
    TranslatorWidget
    TranslatorConfigureDialog
    TranslatorConfigureLanguageListWidget
    TranslatorConfigureListsWidget
    TranslatorMenu
    REQUIRED_HEADERS TextTranslator_translatorwidgets_HEADERS
    PREFIX TextTranslator
    RELATIVE translator/widgets/
)

ecm_generate_headers(TextTranslator_Camelcasetranslator_HEADERS
    HEADER_NAMES
    TranslatorEnginePlugin
    TranslatorEngineClient
    TranslatorEngineAccessManager
    TranslatorEngineLoader
    REQUIRED_HEADERS TextTranslator_translator_HEADERS
    PREFIX TextTranslator
    RELATIVE translator
)

ecm_generate_headers(TextTranslator_Camelcasetranslatormisc_HEADERS
    HEADER_NAMES
    TranslatorUtil
    REQUIRED_HEADERS TextTranslator_translatormisc_HEADERS
    PREFIX TextTranslator
    RELATIVE translator/misc/
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/texttranslator_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextTranslator/
    COMPONENT Devel
)

install(
    FILES
        ${TextTranslator_Camelcasetranslatorwidgets_HEADERS}
        ${TextTranslator_translatorwidgets_HEADERS}
        ${TextTranslator_Camelcasetranslatormisc_HEADERS}
        ${TextTranslator_translatormisc_HEADERS}
        ${TextTranslator_translator_HEADERS}
        ${TextTranslator_Camelcasetranslator_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextTranslator/TextTranslator
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/texttranslator_export.h
        ${TextTranslator_translator_HEADERS}
        ${TextTranslator_translatorwidgets_HEADERS}
        ${TextTranslator_translatormisc_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextTranslator/texttranslator
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextTranslatorConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextTranslatorConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

=== textutils/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
# add_definitions(-DTRANSLATION_DOMAIN=\"libtextaddonswidgets\")

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextUtils")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTUTILS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textutils_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextUtilsConfigVersion.cmake"
    SOVERSION 1
)

add_subdirectory(cmark-rc)

add_library(KF6TextUtils)
add_library(KF6::TextUtils ALIAS KF6TextUtils)

target_sources(
    KF6TextUtils
    PRIVATE
        converttext/converttext.cpp
        converttext/converttext.h
        syntaxhighlighting/textutilsiconnamecache.cpp
        syntaxhighlighting/textutilsiconnamecache.h
        syntaxhighlighting/textutilssyntaxhighlighter.cpp
        syntaxhighlighting/textutilssyntaxhighlighter.h
        syntaxhighlighting/textutilssyntaxhighlightingmanager.cpp
        syntaxhighlighting/textutilssyntaxhighlightingmanager.h
        syntaxhighlighting/textutilsblockcodemanager.h
        syntaxhighlighting/textutilsblockcodemanager.cpp
        syntaxhighlighting/textutilscopyblockiconcache.h
        syntaxhighlighting/textutilscopyblockiconcache.cpp
        cmark/textutilsblockcmarksupport.h
        cmark/textutilsblockcmarksupport.cpp
        colors/textutilscolorsandmessageviewstyle.h
        colors/textutilscolorsandmessageviewstyle.cpp
)

target_link_libraries(
    KF6TextUtils
    PRIVATE
        Qt::Core
        KF6::SyntaxHighlighting
        KF6::IconThemes
        KF6::I18n
        cmark-rc
        KF6::CoreAddons
        KF6::ColorScheme
)

ecm_qt_declare_logging_category(KF6TextUtils HEADER textutils_debug.h
    IDENTIFIER TEXTUTILS_LOG
    CATEGORY_NAME org.kde.kf.textutils
    OLD_CATEGORY_NAMES org.kde.kf6.textutils
    DESCRIPTION "KF6 (textutils)" EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextUtils HEADER textutils_syntaxhighlighting_debug.h
    IDENTIFIER TEXTUTILS_SYNTAXHIGHLIGHTING_LOG
    CATEGORY_NAME org.kde.kf.textutils.syntaxhighlighting
    DESCRIPTION "KF6 (textutils syntaxhighlighting)" EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextUtils HEADER textutils_cmark_debug.h
    IDENTIFIER TEXTUTILS_CMARK_LOG
    CATEGORY_NAME org.kde.kf.textutils.cmark
    DESCRIPTION "KF6 (textutils cmark)" EXPORT KTEXTADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextUtils
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextUtils BASE_NAME TextUtils)

target_include_directories(KF6TextUtils INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextUtils;>")

target_link_libraries(KF6TextUtils PUBLIC Qt::Gui)

set_target_properties(
    KF6TextUtils
    PROPERTIES
        VERSION
            ${TEXTUTILS_VERSION}
        SOVERSION
            ${TEXTUTILS_SOVERSION}
        EXPORT_NAME
            TextUtils
)

install(TARGETS KF6TextUtils EXPORT KF6TextUtilsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(TextUtils_CamelCase_HEADERS
    HEADER_NAMES
    ConvertText
    REQUIRED_HEADERS TextUtils_HEADERS
    PREFIX TextUtils
    RELATIVE converttext
)

ecm_generate_headers(TextUtils_Colors_CamelCase_HEADERS
    HEADER_NAMES
    TextUtilsColorsAndMessageViewStyle
    REQUIRED_HEADERS TextUtils_Colors_HEADERS
    PREFIX TextUtils
    RELATIVE colors
)

ecm_generate_headers(TextUtils_Syntaxhighlighting_CamelCase_HEADERS
    HEADER_NAMES
    TextUtilsSyntaxHighlighter
    TextUtilsSyntaxHighlightingManager
    TextUtilsBlockCodeManager
    TextUtilsIconNameCache
    TextUtilsCopyBlockIconCache
    REQUIRED_HEADERS TextUtils_Syntaxhighlighting_HEADERS
    PREFIX TextUtils
    RELATIVE syntaxhighlighting
)

ecm_generate_headers(TextUtils_CMark_CamelCase_HEADERS
    HEADER_NAMES
    TextUtilsBlockCMarkSupport
    REQUIRED_HEADERS TextUtils_CMark_HEADERS
    PREFIX TextUtils
    RELATIVE cmark
)

set(TEXTUTILS_FILES
    ${TextUtils_HEADERS}
    ${TextUtils_Syntaxhighlighting_HEADERS}
    ${TextUtils_CMark_HEADERS}
    ${TextUtils_Colors_HEADERS}
)

install(
    FILES
        ${TEXTUTILS_FILES}
        ${CMAKE_CURRENT_BINARY_DIR}/textutils_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextUtils/textutils
    COMPONENT Devel
)
install(
    FILES
        ${TextUtils_CamelCase_HEADERS}
        ${TextUtils_Syntaxhighlighting_CamelCase_HEADERS}
        ${TextUtils_CMark_CamelCase_HEADERS}
        ${TextUtils_Colors_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextUtils/TextUtils/
    COMPONENT Devel
)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextUtilsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextUtilsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextUtilsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextUtilsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextUtilsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextUtilsTargets.cmake
    NAMESPACE KF6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textutils_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextUtils
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

=== textautocorrection/core/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: none

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAutoCorrectionCore")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOCORRECTIONCORE
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautocorrectioncore_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfigVersion.cmake"
    SOVERSION 1
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextAutoCorrectionTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextAutoCorrectionCoreTargets.cmake
    NAMESPACE KF6::
)

kconfig_add_kcfg_files(textautocorrection_settings_SRCS
    settings/textautocorrectionsetting_base.kcfgc
)

add_library(KF6TextAutoCorrectionCore)
add_library(KF6::TextAutoCorrectionCore ALIAS KF6TextAutoCorrectionCore)
ecm_qt_declare_logging_category(KF6TextAutoCorrectionCore HEADER textautocorrection_debug.h
        IDENTIFIER TEXTAUTOCORRECTION_LOG
        CATEGORY_NAME org.kde.kf.textautocorrection
        OLD_CATEGORY_NAMES org.kde.kf6.textautocorrection
	DESCRIPTION "KF6 (text AutoCorrection)"
	EXPORT KTEXTADDONS
)

ecm_qt_declare_logging_category(KF6TextAutoCorrectionCore HEADER textautocorrectionautocorrect_debug.h
        IDENTIFIER TEXTAUTOCORRECTION_AUTOCORRECT_LOG
        CATEGORY_NAME org.kde.kf.textautocorrection.autocorrect
        OLD_CATEGORY_NAMES org.kde.kf6.textautocorrection.autocorrect
	DESCRIPTION "KF6 (AutoCorrection autocorrect text)"
	EXPORT KTEXTADDONS
)

# precompiled headers support
if(ENABLE_PCH)
    target_precompile_headers(
        KF6TextAutoCorrectionCore
        PRIVATE
            <QObject>
            <QDebug>
            <QString>
    )
endif()

target_sources(
    KF6TextAutoCorrectionCore
    PRIVATE
        ${textautocorrection_settings_SRCS}
        autocorrection.cpp
        autocorrection.h
        autocorrectionutils.h
        autocorrectionutils.cpp
        autocorrectionsettings.h
        autocorrectionsettings.cpp
        import/importlibreofficeautocorrection.cpp
        import/importkmailautocorrection.cpp
        import/importabstractautocorrection.cpp
        import/importkmailautocorrection.h
        import/importlibreofficeautocorrection.h
        import/importabstractautocorrection.h
        export/exportabstractautocorrection.h
        export/exportabstractautocorrection.cpp
        export/exportlibreofficeautocorrection.h
        export/exportlibreofficeautocorrection.cpp
        settings/textautocorrectionsettings.h
        settings/textautocorrectionsettings.cpp
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextAutoCorrectionCore
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextAutoCorrectionCore BASE_NAME textautocorrectioncore)

target_link_libraries(
    KF6TextAutoCorrectionCore
    PUBLIC
        Qt::Gui
        KF6::ConfigGui
    PRIVATE
        KF6::I18n
        KF6::Archive
        KF6::ColorScheme
        Qt::Xml
        Qt::Widgets
)

target_include_directories(
    KF6TextAutoCorrectionCore
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/>"
)

set_target_properties(
    KF6TextAutoCorrectionCore
    PROPERTIES
        VERSION
            ${TEXTAUTOCORRECTIONCORE_VERSION}
        SOVERSION
            ${TEXTAUTOCORRECTIONCORE_SOVERSION}
        EXPORT_NAME
            TextAutoCorrectionCore
)

install(TARGETS KF6TextAutoCorrectionCore EXPORT KF6TextAutoCorrectionTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ecm_generate_headers(TextAutoCorrectionCore_Camelcaseautocorrection_HEADERS
    HEADER_NAMES
    AutoCorrection
    AutoCorrectionSettings
    AutoCorrectionUtils

    REQUIRED_HEADERS TextAutoCorrectionCore_autocorrection_HEADERS
    PREFIX TextAutoCorrectionCore
)

ecm_generate_headers(TextAutoCorrectionCore_Camelcaseautocorrectionimport_HEADERS
    HEADER_NAMES
    ImportLibreOfficeAutocorrection
    ImportKMailAutocorrection
    ImportAbstractAutocorrection

    REQUIRED_HEADERS TextAutoCorrectionCore_autocorrectionimport_HEADERS
    PREFIX TextAutoCorrectionCore
    RELATIVE import
)

ecm_generate_headers(TextAutoCorrectionCore_Camelcasesettings_HEADERS
    HEADER_NAMES
    TextAutoCorrectionSettings
    REQUIRED_HEADERS TextAutoCorrectionCore_settings_HEADERS
    PREFIX TextAutoCorrectionCore
    RELATIVE settings
)

install(
    FILES
        ${TextAutoCorrectionCore_Camelcaseautocorrection_HEADERS}
        ${TextAutoCorrectionCore_Camelcaseautocorrectionimport_HEADERS}
        ${TextAutoCorrectionCore_Camelcasesettings_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/TextAutoCorrectionCore
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectioncore_export.h
        ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionsetting_base.h
        ${TextAutoCorrectionCore_autocorrection_HEADERS}
        ${TextAutoCorrectionCore_settings_HEADERS}
        ${TextAutoCorrectionCore_autocorrectionimport_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/textautocorrectioncore
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextAutoCorrectionCoreConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionCoreConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectioncore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionCore/
    COMPONENT Devel
)

=== textautocorrection/widgets/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2023-2026 Laurent Montel <montel@kde.org>

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6TextAutoCorrectionWidgets")

ecm_setup_version(PROJECT VARIABLE_PREFIX TEXTAUTOCORRECTIONWIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionwidgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionWidgetsConfigVersion.cmake"
    SOVERSION 1
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionWidgetsConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KF6TextAutoCorrectionWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KF6TextAutoCorrectionWidgetsTargets.cmake
    NAMESPACE KF6::
)

add_library(KF6TextAutoCorrectionWidgets)
add_library(KF6::TextAutoCorrectionWidgets ALIAS KF6TextAutoCorrectionWidgets)
ki18n_wrap_ui(KF6TextAutoCorrectionWidgets
    ui/autocorrectionwidget.ui
)
ecm_qt_declare_logging_category(KF6TextAutoCorrectionWidgets HEADER textautocorrectionautocorrectwidgets_debug.h
        IDENTIFIER TEXTAUTOCORRECTION_AUTOCORRECT_LOG
        CATEGORY_NAME org.kde.kf.textautocorrection.autocorrectwidgets
        OLD_CATEGORY_NAMES org.kde.kf6.textautocorrection.autocorrectwidgets
	DESCRIPTION "KF6 (AutoCorrection autocorrect text)"
	EXPORT KTEXTADDONS
)

target_sources(
    KF6TextAutoCorrectionWidgets
    PRIVATE
        autocorrectionwidget.cpp
        autocorrectionlistwidget.cpp
        autocorrectiontreewidget.cpp
        autocorrectionlanguage.cpp
        autocorrectionlistwidget.h
        autocorrectionlanguage.h
        autocorrectionwidget.h
        autocorrectiontreewidget.h
        autocorrectiontextedit.cpp
        autocorrectiontextedit.h
        autocorrectionlineedit.cpp
        autocorrectionlineedit.h
        autocorrectionlanguagemodel.h
        autocorrectionlanguagemodel.cpp
)

# precompiled headers support
if(ENABLE_PCH)
    target_precompile_headers(
        KF6TextAutoCorrectionWidgets
        PRIVATE
            <QObject>
            <QWidget>
    )
endif()

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KF6TextAutoCorrectionWidgets
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
generate_export_header(KF6TextAutoCorrectionWidgets BASE_NAME textautocorrectionwidgets)

target_link_libraries(
    KF6TextAutoCorrectionWidgets
    PUBLIC
        KF6::TextAutoCorrectionCore
        Qt::Widgets
    PRIVATE
        KF6::I18n
        KF6::TextAddonsWidgets
        KF6::WidgetsAddons
)

target_include_directories(
    KF6TextAutoCorrectionWidgets
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/>"
)

set_target_properties(
    KF6TextAutoCorrectionWidgets
    PROPERTIES
        VERSION
            ${TEXTAUTOCORRECTIONWIDGETS_VERSION}
        SOVERSION
            ${TEXTAUTOCORRECTIONWIDGETS_SOVERSION}
        EXPORT_NAME
            TextAutoCorrectionWidgets
)

install(
    TARGETS
        KF6TextAutoCorrectionWidgets
    EXPORT KF6TextAutoCorrectionWidgetsTargets
    ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

if(BUILD_TESTING)
    #add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

ecm_generate_headers(TextAutoCorrection_Camelcaseautocorrectionwidgets_HEADERS
    HEADER_NAMES
    AutoCorrectionWidget
    AutoCorrectionLanguage
    AutoCorrectionTextEdit
    REQUIRED_HEADERS TextAutoCorrection_autocorrectionwidgets_HEADERS
    PREFIX TextAutoCorrectionWidgets
)

install(
    FILES
        ${TextAutoCorrection_Camelcaseautocorrectionwidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/TextAutoCorrectionWidgets
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionwidgets_export.h
        ${TextAutoCorrection_autocorrectionwidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/textautocorrectionwidgets
    COMPONENT Devel
)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFTextAutoCorrectionWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6TextAutoCorrectionWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/textautocorrectionwidgets_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/TextAutoCorrectionWidgets/
    COMPONENT Devel
)

=== debian/changelog ===
ktextaddons (1.9.1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing dependency of qt6-speech-dev to libktextaddons-dev.

 -- Patrick Franz <deltaone@debian.org>  Fri, 20 Feb 2026 21:43:31 +0100

ktextaddons (1.9.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 20 Feb 2026 20:33:50 +0100

ktextaddons (1.9.1-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release.
  * Migrate to debian/watch version 5 syntax.
  * Drop qch files.
  * Rename libautogenerate to libutils.
  * Bump to std-ver 4.7.3, remove priority field.
  * Add missing dependency libkf6iconthemes-dev.
  * Update copyright file.

  [ Patrick Franz ]
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Feb 2026 21:00:41 +0100

=== debian/control ===
Source: ktextaddons
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dpkg-dev (>= 1.22.5),
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.19.0~),
               libkf6archive-dev (>= 6.19.0~),
               libkf6colorscheme-dev (>= 6.19.0~),
               libkf6coreaddons-dev (>= 6.20.0~),
               libkf6i18n-dev (>= 6.20.0~),
               libkf6iconthemes-dev (>= 6.19.0~),
               libkf6itemviews-dev (>= 6.20.0~),
               libkf6kio-dev (>= 6.19.0~),
               libkf6sonnet-dev (>= 6.19.0~),
               libkf6syntaxhighlighting-dev (>= 6.20.0~),
               libkf6textwidgets-dev (>= 6.19.0~),
               libkf6widgetsaddons-dev (>= 6.20.0~),
               qt6-base-dev (>= 6.9.2+dfsg~),
               qt6-speech-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.9.2~),
               qtkeychain-qt6-dev (>= 0.15.0~),
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/ktextaddons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/ktextaddons
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/ktextaddons.git

Package: libkf6textaddonswidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text addons widgets library

Package: libkf6textautocorrectioncore1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - correction core library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection core library.

Package: libkf6textautocorrectionwidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - correction widget library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text autocorrection widget library.

Package: libkf6textautogeneratetext1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - auto-generate text library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text auto-generate text library.

Package: libkf6textcustomeditor1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - custom editor library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text custom editor library.

Package: libkf6textedittexttospeech1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text edit text-to-speech library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text-to-speech library.

Package: libkf6textemoticonscore1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text emoticons library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text emoticons library.

Package: libkf6textemoticonswidgets1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text emoticons widgets library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the emoticons widget library.

Package: libkf6textgrammarcheck1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text grammar check library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text grammar check library.

Package: libkf6textspeechtotext1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - speech-to-text library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the speech-to-text library.

Package: libkf6texttranslator1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text translator library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text translator library.

Package: libkf6textutils1
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - text utils library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the text utils library.

Package: libktextaddons-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6textaddonswidgets1 (= ${binary:Version}),
         libkf6textautocorrectioncore1 (= ${binary:Version}),
         libkf6textautocorrectionwidgets1 (= ${binary:Version}),
         libkf6textautogeneratetext1 (= ${binary:Version}),
         libkf6textcustomeditor1 (= ${binary:Version}),
         libkf6textedittexttospeech1 (= ${binary:Version}),
         libkf6textemoticonscore1 (= ${binary:Version}),
         libkf6textemoticonswidgets1 (= ${binary:Version}),
         libkf6textgrammarcheck1 (= ${binary:Version}),
         libkf6textspeechtotext1 (= ${binary:Version}),
         libkf6texttranslator1 (= ${binary:Version}),
         libkf6textutils1 (= ${binary:Version}),
         libtextutils-cmark-rc-copy0 (= ${binary:Version}),
         qt6-speech-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf6textaddons-dev,
Replaces: libkf6textaddons-dev,
Description: KDE text handling addons - development files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the development files needed to build software using
 KTextAddons.

Package: libktextaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf5textaddons-data,
        libkf6textaddons-data,
Replaces: libkf5textaddons-data,
          libkf6textaddons-data,
Description: KDE text handling addons - data files
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the data files needed by KTextAddons.

Package: libtextutils-cmark-rc-copy0
Architecture: any
Multi-Arch: same
Depends: libktextaddons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE text handling addons - CommonMark library
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package provides the CommonMark library.

Package: libktextaddons-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libkf6textaddons-doc,
Replaces: libkf6textaddons-doc,
Description: KDE text handling addons - documentation
 KTextAddons is a collection of text addons libraries developed by the KDE
 community.
 .
 This collection of libraries provide functionalities such as autocorrection,
 text to speak, grammar checking, text translator or emoticon support.
 .
 This package contains the qch documentation files.

=== debian/watch ===
Version: 5
Source: https://download.kde.org/stable/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
